Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.border
Class LineBorder

    java.lang.Object
      |
      +--javax.swing.border.AbstractBorder
            |
            +--javax.swing.border.LineBorder

Direct Known Subclasses:
  BorderUIResource.LineBorderUIResource

public class LineBorder
extends AbstractBorder

A class which implements a line border of arbitrary thickness and of a single color.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Field Summary
`protected java.awt.Color` | `lineColor`
`protected boolean` | `roundedCorners`
`protected int` | `thickness`

Constructor Summary
`LineBorder(java.awt.Color color)` Creates a line border with the specified color and a thickness = 1.
`LineBorder(java.awt.Color color, int thickness)` Creates a line border with the specified color and thickness.

Method Summary
`static Border` | `createBlackLineBorder()` Convenience method for getting the Color.black LineBorder of thickness 1.
`static Border` | `createGrayLineBorder()` Convenience method for getting the Color.gray LineBorder of thickness 1.
`java.awt.Insets` | `getBorderInsets(java.awt.Component c)` Returns the insets of the border.
`java.awt.Insets` | `getBorderInsets(java.awt.Component c, java.awt.Insets insets)` Reinitialize the insets parameter with this Border's current Insets.
`java.awt.Color` | `getLineColor()` Returns the color of the border.
`int` | `getThickness()` Returns the thickness of the border.
`boolean` | `isBorderOpaque()` Returns whether or not the border is opaque.
`void` | `paintBorder(java.awt.Component c, java.awt.Graphics g, int x, int y, int width, int height)` Paints the border for the specified component with the specified position and size.

Methods inherited from class javax.swing.border.AbstractBorder
`getInteriorRectangle, getInteriorRectangle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### thickness

    protected int thickness

### lineColor

    protected java.awt.Color lineColor

### roundedCorners

    protected boolean roundedCorners

Constructor Detail

### LineBorder

    public LineBorder(java.awt.Color color)

  Creates a line border with the specified color and a thickness = 1.
  Parameters:
    `color` - the color for the border

### LineBorder

    public LineBorder(java.awt.Color color,
                      int thickness)

  Creates a line border with the specified color and thickness.
  Parameters:
    `color` - the color of the border
    `thickness` - the thickness of the border

Method Detail

### createBlackLineBorder

    public static Border createBlackLineBorder()

  Convenience method for getting the Color.black LineBorder of thickness 1.

### createGrayLineBorder

    public static Border createGrayLineBorder()

  Convenience method for getting the Color.gray LineBorder of thickness 1.

### paintBorder

    public void paintBorder(java.awt.Component c,
                            java.awt.Graphics g,
                            int x,
                            int y,
                            int width,
                            int height)

  Paints the border for the specified component with the specified position and size.
  Parameters:
    `c` - the component for which this border is being painted
    `g` - the paint graphics
    `x` - the x position of the painted border
    `y` - the y position of the painted border
    `width` - the width of the painted border
    `height` - the height of the painted border
  Overrides:
    paintBorder in class AbstractBorder

### getBorderInsets

    public java.awt.Insets getBorderInsets(java.awt.Component c)

  Returns the insets of the border.
  Parameters:
    `c` - the component for which this border insets value applies
  Overrides:
    getBorderInsets in class AbstractBorder

### getBorderInsets

    public java.awt.Insets getBorderInsets(java.awt.Component c,
                                           java.awt.Insets insets)

  Reinitialize the insets parameter with this Border's current Insets.
  Parameters:
    `c` - the component for which this border insets value applies
    `insets` - the object to be reinitialized
  Overrides:
    getBorderInsets in class AbstractBorder

### getLineColor

    public java.awt.Color getLineColor()

  Returns the color of the border.

### getThickness

    public int getThickness()

  Returns the thickness of the border.

### isBorderOpaque

    public boolean isBorderOpaque()

  Returns whether or not the border is opaque.
  Overrides:
    isBorderOpaque in class AbstractBorder

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.